/*---------------------------------------------------------------------------*/
//       Author : hiyohiyo
//         Mail : hiyohiyo@crystalmark.info
//          Web : http://crystalmark.info/
//      License : The modified BSD license
//
//                                Copyright 2007 hiyohiyo, All rights reserved.
/*---------------------------------------------------------------------------*/

#pragma once

class CFeatureFlagsDlg : public CDHtmlDialogEx
{
	DECLARE_DYNCREATE(CFeatureFlagsDlg)

	static const int SIZE_X = 640;
	static const int SIZE_Y = 380;

public:
	CFeatureFlagsDlg(CWnd* pParent = NULL);
	virtual ~CFeatureFlagsDlg();

	enum { IDD = IDD_FEATURE_FLAGS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	virtual BOOL OnInitDialog();
	virtual void OnDocumentComplete(LPDISPATCH pDisp, LPCTSTR szUrl);

	afx_msg HRESULT OnFeatureFlagStdEdx(IHTMLElement *pElement);
	afx_msg HRESULT OnFeatureFlagStdEcx(IHTMLElement *pElement);
	afx_msg HRESULT OnFeatureFlagExEdx(IHTMLElement *pElement);
	afx_msg HRESULT OnFeatureFlagExEcx(IHTMLElement *pElement);
	afx_msg HRESULT OnFeatureFlagVia(IHTMLElement *pElement);
	afx_msg HRESULT OnFeatureFlagTransmeta(IHTMLElement *pElement);
	afx_msg HRESULT OnFeatureFlagPowerManagement(IHTMLElement *pElement);

	CStringArray m_FullName;
	CStringArray m_ShortName;
	CStringArray m_Flag;

	DECLARE_MESSAGE_MAP()
	DECLARE_DHTML_EVENT_MAP()
};
