//-----------------------------------------------------------------------------
//     Author : hiyohiyo
//       Mail : hiyohiyo@crystalmark.info
//        Web : http://openlibsys.org/
//    License : The modified BSD license
//
//                     Copyright 2007-2008 OpenLibSys.org. All rights reserved.
//-----------------------------------------------------------------------------

#pragma once

#pragma pack(push, 4)

typedef struct _DmiHeader
{
	UCHAR Type;
	UCHAR Length;
	WORD  Handle;
}DmiHeader;

#pragma pack(pop)

class CDmiInfo
{
public:
	CDmiInfo();
	~CDmiInfo();
	DWORD	GetString(DWORD id, PCHAR str, DWORD size);
	DWORD	GetData(DWORD id, PDWORD data);
	BOOL	InitData();

	static const int MAP_MEMORY_SIZE = 64 * 1024;
protected:
	BOOL	DmiStatus;
	CHAR	DmiSmBiosVersion[8];
	CHAR	DmiBiosVendor[65];
	CHAR	DmiBiosVersion[65];
	CHAR	DmiBiosReleaseDate[65];
	CHAR	DmiBiosRomSize[65];
	CHAR	DmiMotherManufacturer[65];
	CHAR	DmiMotherProduct[65];
	CHAR	DmiMotherVersion[65];
	CHAR	DmiCpuSocket[65];
	CHAR	DmiCpuManufacturer[65];
	CHAR	DmiCpuVersion[65];
	CHAR	DmiCpuCurrentClock[65];
	CHAR	DmiCpuExternalClock[65];
	CHAR	DmiCpuMaxClock[65];
};