/*---------------------------------------------------------------------------*/
//       Author : hiyohiyo
//         Mail : hiyohiyo@crystalmark.info
//          Web : http://crystalmark.info/
//      License : The modified BSD license
//
//                                Copyright 2007 hiyohiyo, All rights reserved.
/*---------------------------------------------------------------------------*/

#include "stdafx.h"
#include "DHtmlSupport.h"

void InitDHtmlDialog(CDHtmlDialog* dlg, DWORD sizeX, DWORD sizeY, CString dialogPath)
{
// Enabled Visual Style
	DOCHOSTUIINFO info;
	info.cbSize = sizeof(info);
	dlg->GetHostInfo(&info);
	dlg->SetHostFlags(info.dwFlags | DOCHOSTUIFLAG_DIALOG | DOCHOSTUIFLAG_THEME);

// Navigate
	dlg->Navigate(_T("file://") + dialogPath);

// ReSize Dialog
	dlg->MoveWindow(0, 0,
		sizeX + GetSystemMetrics(SM_CXFIXEDFRAME) * 2,
		sizeY + GetSystemMetrics(SM_CYFIXEDFRAME) * 2 + GetSystemMetrics(SM_CYCAPTION)
		);
	dlg->CenterWindow();
}
