#pragma once

class CSystemInfoDlg : public CDHtmlDialogEx
{
	DECLARE_DYNCREATE(CSystemInfoDlg)

	static const int SIZE_X = 400;
	static const int SIZE_Y = 430;

public:
	CSystemInfoDlg(CWnd* pParent = NULL);
	virtual ~CSystemInfoDlg();

	enum { IDD = IDD_SYSTEM_INFO };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	virtual BOOL OnInitDialog();

	CString	m_BiosReleaseDate;
	CString	m_BiosRomSize;
	CString	m_BiosVendor;
	CString	m_BiosVersion;
	CString	m_CpuCurrentClock;
	CString	m_CpuExternalClock;
	CString	m_CpuManufacturer;
	CString	m_CpuMaxClock;
	CString	m_CpuSocket;
	CString	m_CpuVersion;
	CString	m_SmBiosVersion;
	CString	m_MotherManufacturer;
	CString	m_MotherProduct;
	CString	m_MotherVersion;
	CString	m_QueryPerformance;

	DECLARE_MESSAGE_MAP()
	DECLARE_DHTML_EVENT_MAP()
};
